.item-preference {
    padding: 32px;
    font-size: 14px;
    .slice-check {
        width: 34px;
        position: relative;
        display: flex;
        align-items: center; 
        &.active {
            .slice-body {
                background-color: #D3BEFF; 
                .slice-circle {
                    background-color: #5F14FF;
                    transition: transform 0.5s;
                    transform: translateX(70%);
                    right: 0!important; 
                }
            }
        }
        input[type="checkbox"] {
            width: 100%;
            height: 100%;
            position: absolute;
            z-index: 99;
            opacity: 0;
            cursor: pointer;
        }
        .slice-body {
            height: 14px;
            width: 100%;
            background-color: #D3BEFF;
            display: flex;
            align-items: center;
            .slice-circle {
                transition: transform 0.3s;
                transform: translateX(0);
                border-radius: 50%;
                background-color: #808080;
                width: 20px;
                height: 20px;                
                cursor: pointer;
            }
        }
    }
}